package com.seatel.mobilehall.ui.home.interactor

import com.android.volley.VolleyError

interface BuyDataPackFreedomInteractor {

    interface View {

        fun onBuyDataSucceed()
        fun onBuyDataFailed(error: VolleyError)
    }

    interface Presenter {

        fun onBuyData(
            phoneNumber: String,
            type: String,
            amount: Double,
            addon: Boolean,
            pricePlanCode: String,
            requestTime: String
        )
    }
}